Bug 124963 - Broken header files: Xm/Ext.h references nonexistant private header
Summary: Broken header files: Xm/Ext.h references nonexistant private header
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openmotif   
(Show other bugs)
Version: 3.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-01 16:49 UTC by Brad Despres
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-03 13:49:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tar file with test case (10.00 KB, application/octet-stream)
2004-06-01 16:49 UTC, Brad Despres
no flags Details
Corrected Ext.h from Motif 2.2.3-2 from ICS (4.50 KB, text/plain)
2004-06-01 16:53 UTC, Brad Despres
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:243 normal SHIPPED_LIVE Updated OpenMotif packages fix several bugs 2004-09-01 04:00:00 UTC

Description Brad Despres 2004-06-01 16:49:11 UTC
Broken header file Xm/Ext.h in Motif 2.2.2.

Test case includes simple #include <Xm/DataF.h>

Compiling test case causes an error

In file included from /usr/X11R6/include/Xm/DataF.h:6,
                 from strdefsi_ref.c:17:
/usr/X11R6/include/Xm/Ext.h:19:27: Xm/XmStrDefsI.h: No such file or
directory
strdefsi_ref.c: In function `somefunc':
strdefsi_ref.c:20: warning: control reaches end of non-void function
make: *** [strdefsi_ref.o] Error 1

XmStrDefsI.h is not included in a binary distribution.

This has been reported to bugs.motifzone.net as bug # 1259.
ICS stated that this has been fixed in OpenMotif 2.2.3-2.

Comment 1 Brad Despres 2004-06-01 16:49:53 UTC
Created attachment 100750 [details]
tar file with test case

Comment 2 Brad Despres 2004-06-01 16:53:43 UTC
Created attachment 100751 [details]
Corrected Ext.h from Motif 2.2.3-2 from ICS

Comment 3 Thomas Woerner 2004-06-03 13:49:50 UTC
Will be fixed in the next update.

Comment 4 Jay Turner 2004-09-02 02:21:39 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-243.html



Note You need to log in before you can comment on or make changes to this bug.